LXTERMINAL(1)

NAME
lxterminal - a lightweight terminal emulator based on GTK+ for the LXDE desktop.

SYNOPSIS

lxterminal [options...]

DESCRIPTION

This manual page documents briefly the lxterminal command.

lxterminal is a program that provides a terminal emulator for the desktop, usually for LXDE.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-e STRING --command=STRING --command STRING
    This option specifies the program (and its command line arguments) to be run in the terminal. Except in the --command= form, this must be the last option on the command line.

--geometry=CHARACTERSxLINES
    Set the terminal's size in characters and lines.

-l --loginshell
    Executes login shell.

--no-remote
    Spawns an lxterminal window in a process that is separate from all other lxterminal windows. It ensures that environment variables are inherited from the launching process (such as the user's shell process).

-t NAME[,NAME[,NAME[...]]] --title=NAME[,NAME[,NAME[...]]] --tabs=NAME[,NAME[,NAME[...]]]
    Set the terminal's title. Use comma for multiple tabs.

--working-directory=DIRECTORY
    Set the terminal's working directory.

--profile=NAME
    If set, then all instances of lxterminal invoked in the same way will share a config file named lxterminal-NAME.conf.

AUTHOR

This manual page was written by paulliu <grandpaul@gmail.com> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

FILES

The configuration file lxterminal.conf (or lxterminal-NAME.conf) can be found in ~/.config/lxterminal/.

AUTHOR

Ying-Chun Liu
    Author.

COPYRIGHT
Copyright © 2008 paulliu